SLikeNet 0.1.3

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- File List
- File Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Groups Pages
Classes | Namespaces | Typedefs | Enumerations
socket2.h File Reference
`#include "types.h"`
`#include "MTUSize.h"`
`#include "LocklessTypes.h"`
`#include "thread.h"`
`#include "DS_ThreadsafeAllocatingQueue.h"`
`#include "Export.h"`

Go to the source code of this file.

## Classes

struct | SLNet::RNS2_SendParameters
struct | SLNet::RNS2RecvStruct
class | SLNet::RakNetSocket2Allocator
class | SLNet::RNS2EventHandler
class | SLNet::RakNetSocket2
struct | SLNet::RNS2_BerkleyBindParameters
class | SLNet::IRNS2_Berkley
class | SLNet::RNS2_Berkley
class | SLNet::RNS2_Linux

## Namespaces

namespace | SLNet
| Simple class to send changes between directories. In essence, a simple autopatcher that can be used for transmitting levels, skins, etc.

## Typedefs

typedef int | SLNet::RNS2Socket
typedef int | SLNet::RNS2SendResult

## Enumerations

enum | SLNet::RNS2BindResult { SLNet::BR_SUCCESS, SLNet::BR_REQUIRES_RAKNET_SUPPORT_IPV6_DEFINE, SLNet::BR_FAILED_TO_BIND_SOCKET, SLNet::BR_FAILED_SEND_TEST }
enum | SLNet::RNS2Type { SLNet::RNS2T_WINDOWS_STORE_8, SLNet::RNS2T_PS3, SLNet::RNS2T_PS4, SLNet::RNS2T_CHROME, SLNet::RNS2T_VITA, SLNet::RNS2T_XBOX_360, SLNet::RNS2T_XBOX_720, SLNet::RNS2T_WINDOWS, SLNet::RNS2T_LINUX }

## Class Documentation

struct SLNet::RNS2RecvStruct

Definition at line 87 of file socket2.h.

Class Members
int | bytesRead |
char | data |
RakNetSocket2 * | socket |
SystemAddress | systemAddress |
TimeUS | timeRead |

struct SLNet::RNS2_BerkleyBindParameters

Definition at line 265 of file socket2.h.

Class Members
unsigned short | addressFamily |
int | doNotFragment |
RNS2EventHandler * | eventHandler |
char * | hostAddress |
bool | nonBlockingSocket |
int | pollingThreadPriority |
unsigned short | port |
int | protocol |
unsigned short | remotePortRakNetWasStartedOn_PS3_PS4_PSP2 |
int | setBroadcast |
int | setIPHdrIncl |
int | type |